AdvancedSearchRecord (messages 1.5.0-2.12.0 API)
Date: 2013-02-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.messaging.common.messages.records
Class AdvancedSearchRecord

    java.lang.Object
      org.gcube.messaging.common.messages.records.BaseRecord
          org.gcube.messaging.common.messages.records.AdvancedSearchRecord

All Implemented Interfaces:
  Serializable

    public class AdvancedSearchRecord

extends BaseRecord

Author:
  Andrea Manzi(CERN)
See Also:
  Serialized Form

Nested Class Summary
`static class` | `AdvancedSearchRecord.OperatorType` the type of operator

Field Summary

Fields inherited from class org.gcube.messaging.common.messages.records.BaseRecord
`date`

Constructor Summary
`AdvancedSearchRecord()` constructor

Method Summary
`HashMap<String,String>` | `getCollections()` get the collection map
`AdvancedSearchRecord.OperatorType` | `getOperator()` get the operator type
`HashMap<String,String>` | `getTerms()` get the term map
`void` | `setCollections(HashMap<String,String> collections)` set the collection map
`void` | `setOperator(AdvancedSearchRecord.OperatorType operator)` set the operator type
`void` | `setTerms(HashMap<String,String> terms)` set the term map

Methods inherited from class org.gcube.messaging.common.messages.records.BaseRecord
`getDate, setDate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdvancedSearchRecord

    public AdvancedSearchRecord()

  constructor

Method Detail

### getCollections

    public HashMap<String,String> getCollections()

  get the collection map

  Returns:
    the collection map

### setCollections

    public void setCollections(HashMap<String,String> collections)

  set the collection map

  Parameters:
    `collections` - the collection map

### getTerms

    public HashMap<String,String> getTerms()

  get the term map

  Returns:
    the term map

### setTerms

    public void setTerms(HashMap<String,String> terms)

  set the term map

  Parameters:
    `terms` - the term map

### getOperator

    public AdvancedSearchRecord.OperatorType getOperator()

  get the operator type

  Returns:
    the operator type

### setOperator

    public void setOperator(AdvancedSearchRecord.OperatorType operator)

  set the operator type

  Parameters:
    `operator` - the operator type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.